<?php
/**
* The template file that responsible to display an 404 error page.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;

$apola_404_error_text = $Apola->getThemeOption('apola-404-error-text', esc_html__("We're sorry, but we can't find the page you were looking for.", 'apola'));
$apola_404_error_description = $Apola->getThemeOption('apola-404-error-description', esc_html__("It's probably some thing we've done wrong but now we know about it and we'll try to fix it.", 'apola'));

get_header(); ?>

<!-- - - - - - - - - - - - - - Content Section - - - - - - - - - - - - - -->
<div class="apo-section apo-section-404 apo-align-center">
    <div class="row">
        <main class="col-md-8 col-md-offset-2">
            <h1 class="apo-404-title">404</h1>

            <?php if(!empty($apola_404_error_text)) : ?>
                <h2 class="apo-404-error-text"><?php echo esc_html($apola_404_error_text); ?></h2>
            <?php endif; ?>

            <div class="apo-404-error-description">
                <p><?php echo esc_html($apola_404_error_description); ?> <?php echo sprintf(esc_html__('Go %s or try to search:', 'apola'), sprintf('<a href="%s">%s</a>', esc_url(home_url('/')), esc_html__('Home', 'apola'))); ?></p>
            </div>

            <?php get_search_form(); ?>
        </main>
    </div>
</div>
<!-- - - - - - - - - - - - - - End of Content Section - - - - - - - - - - - - - -->

<?php get_footer(); ?>
