<?php
/**
* The template file that responsible to display an archive page.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

$apola_archive_post_type = !empty(get_query_var('post_type')) ? get_query_var('post_type') : 'post';

if( is_tax('apola-tm-categories') || is_post_type_archive('apola-team-members') ) {
	$apola_archive_post_type = 'apola-team-members';
}
elseif( is_tax('apola-portfolio-categories') || is_post_type_archive('apola-portfolio') ) {
	$apola_archive_post_type = 'apola-portfolio';
}
elseif( is_tax('apola-gallery-categories') || is_post_type_archive('apola-galleries') ) {
	$apola_archive_post_type = 'apola-galleries';
}

get_header(); ?>

<!-- - - - - - - - - - - - - - Page Header - - - - - - - - - - - - - - - - -->
<div class="apo-page-header">
    <div class="apo-page-header-column">
        <h1 class="apo-page-title"><?php the_archive_title(); ?></h1>
		<!-- - - - - - - - - - - - - - Breadcrumbs - - - - - - - - - - - - - - - - -->
		<?php apola_breadcrumbs(); ?>
		<!-- - - - - - - - - - - - - - End of Breadcrumbs - - - - - - - - - - - - - - - - -->

		<?php if(!empty(get_the_archive_description())) : ?>
			<div class="apo-page-description">
				<?php the_archive_description(); ?>
			</div>
		<?php endif; ?>
    </div>
</div>
<!-- - - - - - - - - - - - - - End of Page Header - - - - - - - - - - - - - - - - -->

<?php
get_template_part(sprintf('template-parts/%s/archive-%1$s', $apola_archive_post_type));

get_footer();
?>
