<?php
/**
* The template for displaying comments
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
?>

<?php if( have_comments() ) : ?>
	<!-- - - - - - - - - - - - - - Comments - - - - - - - - - - - - - - - - -->
	<div id="comments" class="apo-section apo-medium">
		<h2 class="apo-section-title apo-style-2"><?php printf( _nx( 'Comment (1)', 'Comments (%1$s)', get_comments_number(), 'comments title', 'apola' ),
				number_format_i18n( get_comments_number() ), get_the_title() ); ?></h2>

		<ol class="comments-list">
		    <?php wp_list_comments(array(
					'short_ping'  => true,
					'avatar_size' => 70,
					'callback' => 'apola_output_comment'
			)); ?>
		</ol>

		<?php if (get_comment_pages_count() > 1 && get_option('page_comments')): ?>
			<nav class="apola-comments-pagination">
				<?php paginate_comments_links(); ?>
			</nav>
		<?php endif; ?>
	</div>
	<!-- - - - - - - - - - - - - - End of Comments - - - - - - - - - - - - - - - - -->
<?php endif; ?>

<div class="apo-section apo-medium">
<?php if(comments_open()) : ?>
	<!-- - - - - - - - - - - - - - Comment Form - - - - - - - - - - - - - - - - -->
	    <?php
	        $commenter = wp_get_current_commenter();
			$req       = get_option( 'require_name_email' );
			$aria_req_safe  = ( $req ? " aria-required='true'" : '' );

			$comment_form_args = array(
				'fields' => apply_filters('comment_form_default_fields', array(
						'author' => '<div class="row apo-form-row"><div class="col-sm-6">'.
										'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '"' . $aria_req_safe . ' required placeholder="' . esc_attr__('Your Name *', 'apola') . '">'.
									'</div>',
						'email'  => '<div class="col-sm-6">' .
										'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '"' . $aria_req_safe . ' required  placeholder="' . esc_attr__('Email Address *', 'apola') . '" />'  .
									'</div></div>'
				)),
				'comment_field' =>  '<div class="row apo-form-row"><div class="col-xs-12">'.
										'<textarea id="comment" name="comment" rows="7" aria-required="true" required placeholder="' .  esc_attr__('Comment *', 'apola') . '"></textarea>' .
									'</div></div>',
				'comment_notes_before' => '',
				'comment_notes_after'  => '',
				'class_submit'         => 'apo-btn apo-btn-rectangle',
	            'submit_button'        => '<button name="%1$s" type="submit" id="%2$s" class="%3$s">%4$s</button>',
				'submit_field' 		   => '<div class="row apo-form-row"><div class="apo-align-center">%1$s %2$s</div></div>',
				'title_reply_to'       => esc_html__( 'Leave a reply to %s', 'apola' ),
				'cancel_reply_link'    => esc_html__( 'Cancel', 'apola' ),
				'title_reply'          => esc_html__( 'Leave a Reply', 'apola' ),
				'title_reply_before'   => '<h2 class="apo-section-title apo-style-2">',
				'title_reply_after'    => '</h2>'
			);

	        comment_form($comment_form_args);
	    ?>
	<!-- - - - - - - - - - - - - - End of Comment Form - - - - - - - - - - - - - - - - -->
<?php elseif(get_comments_number() && post_type_supports( get_post_type(), 'comments' )):  ?>
	<i><?php esc_html_e('Comments are closed.', 'apola'); ?></i>
<?php endif; ?>
</div>
