<?php
// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

/**
 * Sets optimal amount of characters that will be returned by the_excerpt
 * function.
 */
if(!function_exists('apola_modify_excerpt_length')) {
    function apola_modify_excerpt_length( $length ) {
        return 30;
    }
}
add_filter('excerpt_length', 'apola_modify_excerpt_length', 999);

/**
 * Modifies the excerpt 'more'.
 */
if(!function_exists('apola_modify_excerpt_more')) {
    function apola_modify_excerpt_more( $more ) {
        return '...';
    }
}
add_filter('excerpt_more', 'apola_modify_excerpt_more');

if(!function_exists('apola_ocdi_import_files')) {
	function apola_ocdi_import_files() {
		return array(
			array(
				'import_file_name' => esc_html__('Demo Import', 'apola'),
				'local_import_file' => trailingslashit( get_template_directory() ) . 'demo-content/demo-content.xml',
				'local_import_widget_file' => trailingslashit( get_template_directory() ) . 'demo-content/demo-widgets.wie',
				'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'demo-content/demo-customizer.dat',
			)
		);
	}
}

add_filter( 'pt-ocdi/import_files', 'apola_ocdi_import_files' );

?>
