<?php
/**
* This file is responsible to register widget areas in the theme.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

if( !function_exists('apola_register_widget_areas') ) {
    function apola_register_widget_areas() {

        // General widget area
        register_sidebar(array(
            'name' => esc_html__('General Widget Area', 'apola'),
            'id' => 'general-widget-area',
            'description' => esc_html__('For all pages and posts.', 'apola'),
            'before_widget' => '<section id="%1$s" class="apo-widget %2$s">',
            'after_widget' => '</section>',
            'before_title' => '<h2 class="apo-widget-title">',
            'after_title' => '</h2>'
        ));

		// Footer widget area
        register_sidebar(array(
            'name' => esc_html__('Footer Widget Area', 'apola'),
            'id' => 'footer-widget-area',
            'description' => esc_html__('Widget area for the site footer.', 'apola'),
            'before_widget' => '<section id="%1$s" class="apo-widget %2$s">',
            'after_widget' => '</section>',
            'before_title' => '<h2 class="apo-widget-title">',
            'after_title' => '</h2>'
        ));

    }
}
add_action('widgets_init', 'apola_register_widget_areas');
?>
