<?php
/**
* The template file for displaying sidebar
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

// Reset all previous queries
wp_reset_postdata();

global $Apola;

$apola_sidebar = 'general-widget-area';
$apola_page_type = $Apola->getThemeOption('apola-page-type', 'apola-default', array(
	'overriden_by' => 'apola-page-type-individual',
	'depend_on' => array( 'key' => 'apola-page-settings-inherit-individual', 'value' => 0 )
));

if(is_singular(array('post'))) {
	$apola_sidebar = $Apola->getThemeOption('post-single-sidebar', 'general-widget-area', array(
		'overriden_by' => 'post-single-sidebar-individual',
		'depend_on' => array( 'key' => 'post-single-layout-state-individual', 'value' => 0)
	));
}
elseif(is_archive() || is_home()) {
	$apola_sidebar = $Apola->getThemeOption('post-archive-sidebar', 'general-widget-area');
}
elseif(is_page()) {

	switch($apola_page_type) {
		case 'apola-blogroll' :
			$apola_sidebar = $Apola->getThemeOption('apola-page-sidebar', 'general-widget-area', array(
				'overriden_by' => 'apola-page-type-blogroll-sidebar',
				'depend_on' => array( 'key' => 'apola-page-settings-inherit-individual', 'value' => 0 )
			));
		break;

		case 'apola-portfolio-gallery' :
			$apola_sidebar = $Apola->getThemeOption('apola-page-sidebar', 'general-widget-area', array(
				'overriden_by' => 'apola-page-type-portfolio-gallery-sidebar',
				'depend_on' => array( 'key' => 'apola-page-settings-inherit-individual', 'value' => 0 )
			));
		break;
	}

}

if( is_active_sidebar($apola_sidebar) ) { ?>
    <div class="apo-widget-area">
        <?php dynamic_sidebar($apola_sidebar); ?>
    </div>
<?php }
?>
