<?php
/**
* The template file for displaying a gallery image within a page with "full-page" style.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $ApolaPostLiker;
$apola_content_item_show_categories = get_query_var('apola-content-item-show-categories');
$apola_need_scroll_down_icon = get_query_var('apola-need-scroll-down-icon', false);
$apola_item = unserialize(get_query_var('apola-current-gallery-image'));

$apola_item_ajax_data = array(
	'item_id'   		=> $apola_item['attach_id'],
	'post_type' 		=> 'apola-galleries',
	'parent_gallery_id' => $apola_item['parent_gallery_id'],
	'likes' 			=> $ApolaPostLiker->getLikesCount($apola_item['attach_id'])
);
?>

<!-- - - - - - - - - - - - - - Photo stream item - - - - - - - - - - - - - -->
<div class="fp-section"
     data-bg-img-src="<?php echo esc_url(wp_get_attachment_image_url($apola_item['attach_id'], 'apola-full-screen-thumb')); ?>"
	 data-post-data="<?php echo esc_attr(wp_json_encode($apola_item_ajax_data)); ?>">
    <section class="apo-section apo-fp-layer">
        <?php echo wp_get_attachment_image($apola_item['attach_id'], 'apola-full-screen-thumb', null, array(
            'class' => 'apo-photo-stream-hidden-img'
        )); ?>

        <?php if(isset($apola_item['image-title']) && !empty($apola_item['image-title'])) : ?>
            <h2 class="apo-section-title" title="<?php echo esc_attr($apola_item['image-title']); ?>">
				<a href="#" class="apo-photo-info-invoker"
							data-arctic-modal="true"
							data-arctic-modal-type="ajax"
							data-arctic-modal-ajax-action="show_item_info_modal"
							data-arctic-modal-ajax-data="<?php echo esc_attr(wp_json_encode($apola_item_ajax_data)); ?>">
					<?php echo esc_html($apola_item['image-title']); ?>
				</a>
            </h2>
        <?php endif; ?>

        <?php if($apola_content_item_show_categories == 1 && isset($apola_item['parent_gallery_id']) && apola_has_post_terms($apola_item['parent_gallery_id'], 'apola-gallery-categories')) : ?>
            <?php echo apola_get_post_terms($apola_item['parent_gallery_id'], 'apola-gallery-categories'); ?>
        <?php endif; ?>

		<?php if(isset($apola_item['image-sub-title']) && !empty($apola_item['image-sub-title'])) : ?>
			<em class="apo-photo-stream-sub-title"><?php echo esc_html($apola_item['image-sub-title']); ?></em>
		<?php endif; ?>
    </section>

	<?php if(boolval($apola_need_scroll_down_icon)) : ?>
		<div class="apo-scroll-down-icon"></div>
	<?php endif; ?>
</div>
<!-- - - - - - - - - - - - - - End of Photo stream item - - - - - - - - - - - - - -->
