<?php
/**
* The template for displaying images of single gallery within "full page" container.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
$apola_gallery_builder = unserialize(get_query_var('apola-queried-gallery-builder', array()));

global $Apola, $ApolaPostLiker;
$ApolaHelper = $Apola->helper();

$ApolaPostsRepository = new ApolaGalleryRepository();
$ApolaPostLiker = new ApolaPostLiker($ApolaPostsRepository);
$apola_gallery_builder = unserialize(get_query_var('apola-queried-gallery-builder', array()));
$apola_items = $ApolaPostsRepository->in(array(get_the_ID()))->get();

set_query_var('apola-content-item-show-categories', $apola_gallery_builder['sliders']['single-page-item-show-categories']);
set_query_var('apola-content-item-show-likes', $apola_gallery_builder['sliders']['single-page-item-show-likes']);

if($apola_items) : ?>
    <div class="apo-section apo-without-vertical-padding">
        <?php if(is_array($apola_items) && count($apola_items)) :
            $apola_first_post = $apola_items[0];
            $apola_first_post_id = null;

            if(is_array($apola_first_post) && isset($apola_first_post['attach_id'])) {
                $apola_first_post_id = $apola_first_post['attach_id'];
            }

            $apola_item_ajax_data = array(
                'item_id' => $apola_first_post_id,
                'post_type' => 'apola-galleries',
                'likes' => $ApolaPostLiker->getLikesCount($apola_first_post_id),
                'parent_gallery_id' => (is_array($apola_first_post) && isset($apola_first_post['parent_gallery_id'])) ? $apola_first_post['parent_gallery_id'] : null
            );
        ?>

            <!-- - - - - - - - - - - - - - Photo stream actions - - - - - - - - - - - - - -->
            <ul class="apo-photo-stream-actions">
                <?php if($apola_gallery_builder['sliders']['single-page-item-show-likes'] == '1') : ?>
                    <li>
                        <button class="apo-hover-btn apo-photo-likes-btn"
                                type="button"
                                data-item-likes-data="<?php echo esc_attr(wp_json_encode($apola_item_ajax_data)); ?>">
                            <span class="apo-hover-btn-tooltip apo-item-likes"><?php echo esc_html($apola_item_ajax_data['likes']); ?></span>
                            <i class="icon icon-heart"></i>
                        </button>
                    </li>
                <?php endif; ?>

                <li>
                    <button type="button"
                            class="apo-hover-btn apo-photo-info-invoker"
                            data-arctic-modal="true"
                            data-arctic-modal-type="ajax"
                            data-arctic-modal-ajax-action="show_item_info_modal"
                            data-arctic-modal-ajax-data="<?php echo esc_attr(wp_json_encode($apola_item_ajax_data)); ?>">
                        <i class="icon icon-menu-circle"></i>
                    </button>
                </li>
            </ul>
            <!-- - - - - - - - - - - - - - End of Photo stream actions - - - - - - - - - - - - - -->

            <!-- - - - - - - - - - - - - - Photo stream - - - - - - - - - - - - - -->
            <div id="apo-full-page" class="apo-full-page-container apo-photo-stream">
                <?php
                    foreach($apola_items as $index => $apola_item) {
                        set_query_var('apola-current-gallery-image', serialize($apola_item));
                        get_template_part('template-parts/apola-galleries/apola-galleries', 'fullpage-post');
                    }
                ?>
            </div>
            <!-- - - - - - - - - - - - - - End of Photo stream - - - - - - - - - - - - - -->
        <?php else : ?>
            <div class="apo-section apo-section-no-content">
                <div class="container">
                    <?php get_template_part('template-parts/content', 'none'); ?>
                </div>
            </div>
        <?php endif; ?>
    </div>
<?php endif; ?>
