<?php
/**
* The template for displaying images of single gallery within a grid.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;
$ApolaHelper = $Apola->helper();

$ApolaPostsRepository = new ApolaGalleryRepository();
$apola_gallery_builder = unserialize(get_query_var('apola-queried-gallery-builder', array()));
$apola_container_classes = array($apola_gallery_builder['sliders']['single-page-item-style'], $apola_gallery_builder['sliders']['single-page-columns']);

$apola_items = $ApolaPostsRepository->in(array(get_the_ID()))->get();

set_query_var('apola-content-item-need-excerpt', $apola_gallery_builder['sliders']['single-page-item-style'] == 'apo-style-6');
set_query_var('apola-content-item-show-categories', $apola_gallery_builder['sliders']['single-page-item-show-categories']);
set_query_var('apola-content-item-show-likes', $apola_gallery_builder['sliders']['single-page-item-show-likes']);

if($apola_items) : ?>
    <main class="apo-section apo-without-vertical-padding">
        <!-- - - - - - - - - - - - - - Isotope Container - - - - - - - - - - - - - -->
        <div class="apo-isotope apo-portfolio-container <?php echo esc_attr($ApolaHelper->getSanitizedHtmlClasses($apola_container_classes)); ?>"
    		 data-isotope-layout="grid">
            <div class="grid-sizer"></div>

            <?php foreach($apola_items as $apola_item) : set_query_var('apola-current-gallery-image', serialize($apola_item)); ?>
    			<div class="<?php echo esc_attr($ApolaHelper->getSanitizedHtmlClasses(get_post_class('apo-item', get_the_ID()))); ?>">
    				<?php get_template_part('template-parts/apola-galleries/apola-galleries', 'post'); ?>
    			</div>
            <?php endforeach; ?>
        </div>
        <!-- - - - - - - - - - - - - - End of Isotope Container - - - - - - - - - - - - - -->
    </main>
<?php endif; ?>
