<?php
/**
* The template for displaying images of single gallery in "masonry" style.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
$apola_gallery_builder = unserialize(get_query_var('apola-queried-gallery-builder', array()));

global $Apola;
$ApolaHelper = $Apola->helper();

$ApolaPostsRepository = new ApolaGalleryRepository();
$apola_gallery_builder = unserialize(get_query_var('apola-queried-gallery-builder', array()));
$apola_container_classes = array($apola_gallery_builder['sliders']['single-page-item-style'], $apola_gallery_builder['sliders']['single-page-columns']);

$apola_items = $ApolaPostsRepository->in(array(get_the_ID()))->get();

set_query_var('apola-content-item-need-excerpt', $apola_gallery_builder['sliders']['single-page-item-style'] == 'apo-style-6');
set_query_var('apola-content-item-show-categories', $apola_gallery_builder['sliders']['single-page-item-show-categories']);
set_query_var('apola-content-item-show-likes', $apola_gallery_builder['sliders']['single-page-item-show-likes']);

$apola_parallax_layout_columns_map = array(
    'apo-cols-4' => array(
        'lg' => 4,
        'md' => 3,
        'sm' => 2
    ),
    'apo-cols-3' => array(
        'lg' => 3,
        'md' => 3,
        'sm' => 2
    ),
    'apo-cols-2' => array(
        'lg' => 2,
        'md' => 2,
        'sm' => 2
    )
);

if($apola_items) : ?>
    <main class="apo-section apo-without-vertical-padding">
        <!-- - - - - - - - - - - - - - Parallax Grid Container - - - - - - - - - - - - - -->
        <div class="apo-parallax-grid apo-portfolio-container <?php echo esc_attr($ApolaHelper->getSanitizedHtmlClasses($apola_container_classes)); ?>"
            data-columns-sm="<?php echo esc_attr($apola_parallax_layout_columns_map[$apola_gallery_builder['sliders']['single-page-columns']]['sm']); ?>"
            data-columns-md="<?php echo esc_attr($apola_parallax_layout_columns_map[$apola_gallery_builder['sliders']['single-page-columns']]['md']); ?>"
            data-columns-lg="<?php echo esc_attr($apola_parallax_layout_columns_map[$apola_gallery_builder['sliders']['single-page-columns']]['lg']); ?>">

            <?php foreach($apola_items as $apola_item) : set_query_var('apola-current-gallery-image', serialize($apola_item)); ?>
                <div class="<?php echo esc_attr($ApolaHelper->getSanitizedHtmlClasses(get_post_class('apo-parallax-grid-item', get_the_ID()))); ?>">
                    <?php get_template_part('template-parts/apola-galleries/apola-galleries', 'post'); ?>
                </div>
            <?php endforeach; ?>
        </div>
        <!-- - - - - - - - - - - - - - End of Parallax Grid Container - - - - - - - - - - - - - -->
    </main>
<?php endif; ?>
