<?php
/**
* The template file for displaying a gallery image within a page with "striped-carousel" page style.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

$apola_show_item_categories = get_query_var('apola-content-item-show-categories');
$apola_show_item_likes = get_query_var('apola-content-item-show-likes');
$apola_item = unserialize(get_query_var('apola-current-gallery-image'));

$apola_item_ajax_data = array(
	'post_type'         => 'apola-galleries',
    'item_id'           => isset($apola_item['attach_id']) ? $apola_item['attach_id'] : null,
    'likes'             => isset($apola_item['apola-item-likes-count']) ? $apola_item['apola-item-likes-count'] : null,
    'parent_gallery_id' => isset($apola_item['parent_gallery_id']) ? $apola_item['parent_gallery_id'] : null
);
?>

<article data-bg-img-src="<?php echo esc_url(wp_get_attachment_image_url($apola_item_ajax_data['item_id'], 'apola-full-screen-thumb')); ?>" class="apo-striped-photo">
    <div class="apo-striped-photo-description">
        <div class="apo-aligner-outer">
            <div class="apo-aligner-inner">
                <?php if($apola_show_item_categories == 1 && apola_has_post_terms($apola_item_ajax_data['parent_gallery_id'], 'apola-gallery-categories')) : ?>
                    <?php echo apola_get_post_terms($apola_item_ajax_data['parent_gallery_id'], 'apola-gallery-categories'); ?>
                <?php endif; ?>

                <?php if(isset($apola_item['image-title']) && !empty($apola_item['image-title'])) : ?>
                    <h2 class="apo-striped-photo-title">
                        <a href="#" class="apo-photo-info-invoker"
                                    data-arctic-modal="true"
                                    data-arctic-modal-type="ajax"
                                    data-arctic-modal-ajax-action="show_item_info_modal"
                                    data-arctic-modal-ajax-data="<?php echo esc_js(wp_json_encode($apola_item_ajax_data)); ?>"><?php echo esc_html($apola_item['image-title']); ?></a>
                    </h2>
                <?php endif; ?>

				<?php if((isset($apola_item['image-sub-title']) && !empty($apola_item['image-sub-title'])) || $apola_show_item_likes == 1 ) : ?>
                    <ul class="apo-striped-photo-meta">
						<?php if(isset($apola_item['image-sub-title']) && !empty($apola_item['image-sub-title'])) : ?>
							<li><small><?php echo esc_html($apola_item['image-sub-title']); ?></small></li>
		                <?php endif; ?>

						<?php if($apola_show_item_likes == 1) : ?>
							<li>
		                        <a href="#" class="apo-item-likes-btn"
		                           data-item-likes-data="<?php echo esc_attr(wp_json_encode($apola_item_ajax_data)); ?>">
		                           <i class="icon-heart"></i>
		                           <span class="apo-item-likes"><?php echo esc_html($apola_item_ajax_data['likes']); ?></span>
		                        </a>
							</li>
						<?php endif; ?>
                    </ul>
				<?php endif; ?>
            </div>
        </div>
    </div>
</article>
