<?php
/**
* The template for displaying a single gallery.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
global $Apola;

$apola_gallery_builder = get_post_meta(get_the_ID(), 'apola_gallery_builder', true);

if(is_array($apola_gallery_builder) && isset($apola_gallery_builder['sliders']) && is_array($apola_gallery_builder['sliders'])) {
	$apola_layouts_whitelist = array('grid', 'masonry', 'slideshow', 'striped-carousel', 'full-page');
	$apola_item_style_whitelist = array('apo-style-3', 'apo-style-2', 'apo-style-4', 'apo-style-1', 'apo-style-6');
	$apola_columns_whitelist = array('apo-cols-4', 'apo-cols-3', 'apo-cols-2');

	// Filtering the options
	if(!isset($apola_gallery_builder['sliders']['single-page-type']) || !in_array($apola_gallery_builder['sliders']['single-page-type'], $apola_layouts_whitelist)) {
		$apola_gallery_builder['sliders']['single-page-type'] = 'grid';
	}

	if(!isset($apola_gallery_builder['sliders']['single-page-item-show-categories']) || !in_array($apola_gallery_builder['sliders']['single-page-item-show-categories'], array('1', '0'))) {
		$apola_gallery_builder['sliders']['single-page-item-show-categories'] = '1';
	}

	if(!isset($apola_gallery_builder['sliders']['single-page-item-show-likes']) || !in_array($apola_gallery_builder['sliders']['single-page-item-show-likes'], array('1', '0'))) {
		$apola_gallery_builder['sliders']['single-page-item-show-likes'] = '1';
	}

	if(!isset($apola_gallery_builder['sliders']['single-page-item-style']) || !in_array($apola_gallery_builder['sliders']['single-page-item-style'], $apola_item_style_whitelist)) {
		$apola_gallery_builder['sliders']['single-page-item-item-style'] = 'apo-style-3';
	}

	if(!isset($apola_gallery_builder['sliders']['single-page-columns']) || !in_array($apola_gallery_builder['sliders']['single-page-columns'], $apola_columns_whitelist)) {
		$apola_gallery_builder['sliders']['single-page-columns'] = 'apo-cols-4';
	}

	switch($apola_gallery_builder['sliders']['single-page-type']) {
		case 'slideshow' :
			$Apola->setThemeOption('apola-header-type', 'apola-none');
			$Apola->setThemeOption('apola-footer-style', 'apola-none');
		break;
		case 'striped-carousel':
			$Apola->setThemeOption('apola-header-type', 'apola-header-top');
			$Apola->setThemeOption('apola-header-top-sticky', 0);
			$Apola->setThemeOption('apola-header-top-color-scheme', 'apo-header-transparent-dark');
			$Apola->setThemeOption('apola-header-top-left-column-elements', array('apola-logo'));
			$Apola->setThemeOption('apola-header-top-middle-column-elements', array());
			$Apola->setThemeOption('apola-header-top-right-column-elements', array('apola-nav-button'));
			$Apola->setThemeOption('apola-footer-style', 'apola-none');
		break;
		case 'full-page':
			$Apola->setThemeOption('apola-header-type', 'apola-header-top');
			$Apola->setThemeOption('apola-header-top-sticky', 0);
			$Apola->setThemeOption('apola-header-top-color-scheme', 'apo-header-transparent-dark');
			$Apola->setThemeOption('apola-header-top-left-column-elements', array('apola-nav-button', 'apola-logo'));
			$Apola->setThemeOption('apola-header-top-middle-column-elements', array('apola-navigation'));
			$Apola->setThemeOption('apola-header-top-right-column-elements', array('apola-social-links'));
			$Apola->setThemeOption('apola-footer-style', 'apola-none');
		break;
	}
}

get_header();

if(have_posts()) {
    while(have_posts()) {
        the_post();
        if(!is_array($apola_gallery_builder) || !isset($apola_gallery_builder['sliders']) || !is_array($apola_gallery_builder['sliders']) || !isset($apola_gallery_builder['sliders']['slides']) || !is_array($apola_gallery_builder['sliders']['slides'])) : ?>
			<div class="apo-section">
				<?php get_template_part('template-parts/content', 'none'); ?>
			</div>
		<?php else :
	        set_query_var('apola-queried-gallery-builder', serialize($apola_gallery_builder));
	        get_template_part('template-parts/apola-galleries/apola-galleries-single', $apola_gallery_builder['sliders']['single-page-type']);
		endif;
    }
}

get_footer();
?>
