<?php
/**
* The template file for displaying a portfolio project within a page with "full-page" style.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $ApolaPostLiker;
$apola_content_item_show_categories = get_query_var('apola-content-item-show-categories');
$apola_need_scroll_down_icon = get_query_var('apola-need-scroll-down-icon', false);

$apola_item_ajax_data = array(
	'item_id'   => get_the_ID(),
	'post_type' => 'apola-portfolio',
	'likes' 	=> $ApolaPostLiker->getLikesCount(get_the_ID())
);
?>

<!-- - - - - - - - - - - - - - Photo stream item - - - - - - - - - - - - - -->
<div class="fp-section"
     data-bg-img-src="<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'apola-full-screen-thumb')); ?>"
     data-post-data="<?php echo esc_attr(wp_json_encode($apola_item_ajax_data)); ?>">
    <section class="apo-section apo-fp-layer">
        <?php the_post_thumbnail('apola-full-screen-thumb', array(
            'class' => 'apo-photo-stream-hidden-img'
        )); ?>

        <h2 class="apo-section-title" title="<?php the_title_attribute(); ?>">
            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h2>

        <?php if($apola_content_item_show_categories == 1 && apola_has_post_terms(get_the_ID(), 'apola-portfolio-categories')) : ?>
            <?php echo apola_get_post_terms(get_the_ID(), 'apola-portfolio-categories'); ?>
        <?php endif; ?>
    </section>

	<?php if(boolval($apola_need_scroll_down_icon)) : ?>
		<div class="apo-scroll-down-icon"></div>
	<?php endif; ?>
</div>
<!-- - - - - - - - - - - - - - End of Photo stream item - - - - - - - - - - - - - -->
