<?php
/**
* The template file for displaying a portfolio project within a page with "striped-carousel" page style.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

$apola_show_item_categories = get_query_var('apola-content-item-show-categories');
$apola_show_item_likes = get_query_var('apola-content-item-show-likes');
$apola_item_likes_count = get_post_meta(get_the_ID(), 'apola-item-likes-count', true);

$apola_item_ajax_data = array(
	'post_type'         => 'apola-portfolio',
    'item_id'           => get_the_ID(),
    'likes'             => is_numeric($apola_item_likes_count) ? $apola_item_likes_count : 0
);
?>

<article data-bg-img-src="<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'apola-full-screen-thumb')) ?>" class="apo-striped-photo">
    <div class="apo-striped-photo-description">
        <div class="apo-aligner-outer">
            <div class="apo-aligner-inner">
                <?php if($apola_show_item_categories == 1 && apola_has_post_terms(get_the_ID(), 'apola-portfolio-categories')) : ?>
                    <?php echo apola_get_post_terms(get_the_ID(), 'apola-portfolio-categories'); ?>
                <?php endif; ?>

				<?php if(!empty(get_the_title())) : ?>
	                <h2 class="apo-striped-photo-title">
	                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
	                </h2>
				<?php endif; ?>

                <?php if($apola_show_item_likes == 1) : ?>
                    <ul class="apo-striped-photo-meta">
                        <li>
                            <a href="#" class="apo-item-likes-btn"
                               data-item-likes-data="<?php echo esc_attr(wp_json_encode($apola_item_ajax_data)); ?>">
								<i class="icon-heart"></i>
								<span class="apo-item-likes"><?php echo esc_html($apola_item_ajax_data['likes']); ?></span>
                            </a>
                        </li>
                    </ul>
                <?php endif; ?>
            </div>
        </div>
    </div>
</article>
