<?php
/**
* The template file that responsible to display archive page of portfolio projects.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

set_query_var('apola-content-item-show-categories', 1);
set_query_var('apola-content-item-show-likes', 1);
?>

<?php if(have_posts()) : $apola_loop_counter = 0; ?>
    <!-- - - - - - - - - - - - - - Main Content - - - - - - - - - - - - - - - - -->
    <main class="apo-section apo-full-width">
        <!-- - - - - - - - - - - - - - Isotope Container - - - - - - - - - - - - - -->
        <div class="apo-isotope apo-portfolio-container apo-style-3 apo-cols-3"
             data-isotope-filter="#apola-portfolio-filter"
             data-isotope-layout="masonry">
            <div class="grid-sizer"></div>
            <?php while(have_posts()) : the_post(); ?>
                <div <?php post_class('apo-item'); ?>>
                    <?php
						set_query_var('apola-item-thumb-size', sprintf('apola-portfolio-thumb-%s', ($apola_loop_counter % 2 == 0) ? 'vertical' : 'horizontal'));
						get_template_part('template-parts/apola-portfolio/apola-portfolio', 'post');
					?>
                </div>
            <?php $apola_loop_counter++; endwhile; ?>
        </div>
        <!-- - - - - - - - - - - - - - End of Isotope Container - - - - - - - - - - - - - -->
    </main>
    <!-- - - - - - - - - - - - - - End of Main Content - - - - - - - - - - - - - - - - -->

    <!-- - - - - - - - - - - - - - Pagination - - - - - - - - - - - - - - - - -->
    <div class="apo-page-controls"><?php apola_pagination(array( 'prev_next' => false, 'end_size' => 1)); ?></div>
    <!-- - - - - - - - - - - - - - End of Pagination - - - - - - - - - - - - - - - - -->
<?php else : ?>
    <?php get_template_part('template-parts/content', 'none'); ?>
<?php endif; ?>
