<?php
/**
 * The template file that is responsible to describe a team member element markup.
 *
 * @package WordPress
 * @subpackage Apola
 * @since Apola 1.0
 */

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

$apola_team_member_has_social_profiles = (!empty(get_post_meta(get_the_ID(), 'apola-team-member-facebook', true)) ||
                                         !empty(get_post_meta(get_the_ID(), 'apola-team-member-youtube', true)) ||
                                         !empty(get_post_meta(get_the_ID(), 'apola-team-member-twitter', true)) ||
                                         !empty(get_post_meta(get_the_ID(), 'apola-team-member-google-plus', true)) ||
                                         !empty(get_post_meta(get_the_ID(), 'apola-team-member-instagram', true)));
?>
<!-- - - - - - - - - - - - - - Team Member - - - - - - - - - - - - - - - - -->
<div class="apo-grid-col">
    <figure <?php post_class('apo-team-member'); ?>>
        <?php if(has_post_thumbnail()) : ?>
            <!-- - - - - - - - - - - - - - Member's Photo - - - - - - - - - - - - - - - - -->
            <?php the_post_thumbnail('apola-team-member-thumb', array(
                'class' => 'apo-team-member-photo'
            )); ?>
            <!-- - - - - - - - - - - - - - End of Member's Photo - - - - - - - - - - - - - - - - -->
        <?php endif; ?>

        <!-- - - - - - - - - - - - - - Member's Info - - - - - - - - - - - - - - - - -->
        <figcaption class="apo-team-member-info">
            <div class="apo-vcentered-outer">
                <div class="apo-vcentered-inner">
                    <h6 class="apo-team-member-name">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h6>

                    <?php if(!empty(get_post_meta(get_the_ID(), 'apola-team-member-position', true))) : ?>
                        <small class="apo-team-member-position"><?php echo esc_html(get_post_meta(get_the_ID(), 'apola-team-member-position', true)); ?></small>
                    <?php endif; ?>

                    <?php if($apola_team_member_has_social_profiles) : ?>
                        <ul class="apo-social-networks">
                            <?php if(!empty(get_post_meta(get_the_ID(), 'apola-team-member-facebook', true))) : ?>
                                <li>
                                    <a href="<?php echo esc_url(get_post_meta(get_the_ID(), 'apola-team-member-facebook', true)); ?>">
                                        <i class="fa fa-facebook"></i>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if(!empty(get_post_meta(get_the_ID(), 'apola-team-member-youtube', true))) : ?>
                                <li>
                                    <a href="<?php echo esc_url(get_post_meta(get_the_ID(), 'apola-team-member-youtube', true)); ?>">
                                        <i class="fa fa-youtube-play"></i>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if(!empty(get_post_meta(get_the_ID(), 'apola-team-member-twitter', true))) : ?>
                                <li>
                                    <a href="<?php echo esc_url(get_post_meta(get_the_ID(), 'apola-team-member-twitter', true)); ?>">
                                        <i class="fa fa-twitter"></i>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if(!empty(get_post_meta(get_the_ID(), 'apola-team-member-google-plus', true))) : ?>
                                <li>
                                    <a href="<?php echo esc_url(get_post_meta(get_the_ID(), 'apola-team-member-google-plus', true)); ?>">
                                        <i class="fa fa-google"></i>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if(!empty(get_post_meta(get_the_ID(), 'apola-team-member-instagram', true))) : ?>
                                <li>
                                    <a href="<?php echo esc_url(get_post_meta(get_the_ID(), 'apola-team-member-instagram', true)); ?>">
                                        <i class="fa fa-instagram"></i>
                                    </a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    <?php endif; ?>
                </div>
            </div>
        </figcaption>
        <!-- - - - - - - - - - - - - - End of Member's Info - - - - - - - - - - - - - - - - -->
    </figure>
</div>
<!-- - - - - - - - - - - - - - End of Team Member - - - - - - - - - - - - - - - - -->
