<?php
/**
 * The template file that is responsible to describe a testimonial element markup.
 *
 * @package WordPress
 * @subpackage Apola
 * @since Apola 1.0
 */

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
?>
<!-- - - - - - - - - - - - - - Testimonial - - - - - - - - - - - - - - - - -->
<blockquote class="apo-testimonial">
    <div class="apo-testimonial-content"><?php the_content(); ?></div>
    <footer class="apo-testimonial-author">
        <div class="apo-testimonial-author-box">
			<?php if(has_post_thumbnail()) : ?>
	            <div class="apo-testimonial-author-image">
	                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(array(70, 70)); ?></a>
	            </div>
			<?php endif; ?>

            <div class="apo-testimonial-author-info">
				<?php if(!empty(get_the_title())) : ?>
                	<div class="apo-testimonial-author-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
				<?php endif; ?>

                <?php if(!empty(get_post_meta(get_the_ID(), 'apola-testimonial-author-position', true))) : ?>
                    <div class="apo-testimonial-author-position"><?php echo esc_html(get_post_meta(get_the_ID(), 'apola-testimonial-author-position', true)); ?></div>
                <?php endif; ?>
            </div>
        </div>
    </footer>
</blockquote>
<!-- - - - - - - - - - - - - - End of Testimonial - - - - - - - - - - - - - - - - -->
