<?php
/**
* The template file that responsible to display archive page of testimonials.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
?>

<?php if(have_posts()) : ?>
    <!-- - - - - - - - - - - - - - Main Content - - - - - - - - - - - - - - - - -->
    <main class="apo-section">
        <!-- - - - - - - - - - - - - - Testimonials - - - - - - - - - - - - - - - - -->
        <div class="apo-testimonials apo-cols-2 apo-style-2">
            <?php while(have_posts()) : the_post(); ?>
                <?php get_template_part('template-parts/apola-testimonials/apola-testimonials', 'post'); ?>
            <?php endwhile; ?>
        </div>
        <!-- - - - - - - - - - - - - - End of Testimonials - - - - - - - - - - - - - - - - -->
    </main>
    <!-- - - - - - - - - - - - - - End of Main Content - - - - - - - - - - - - - - - - -->

    <!-- - - - - - - - - - - - - - Pagination - - - - - - - - - - - - - - - - -->
    <div class="apo-page-controls"><?php apola_pagination(array( 'prev_next' => false, 'end_size' => 1)); ?></div>
    <!-- - - - - - - - - - - - - - End of Pagination - - - - - - - - - - - - - - - - -->
<?php else : ?>
    <?php get_template_part('template-parts/content', 'none'); ?>
<?php endif; ?>
