<?php
/**
* The template for displaying a single team member page.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

get_header(); ?>

<div class="apo-section">
	<?php if(have_posts()) : ?>
        <?php while( have_posts() ) : the_post(); ?>
            <!-- - - - - - - - - - - - - - Main Content - - - - - - - - - - - - - - - - -->
    		<main class="apo-section apo-section-thin">
                <div class="apo-section">
                    <div class="apo-testimonials apo-cols-1 apo-style-2">
                        <?php get_template_part('template-parts/apola-testimonials/apola-testimonials', 'post'); ?>
						<?php wp_link_pages( array(
							'before' => '<div class="apo-page-links"><span class="apo-page-links-title">' . esc_html__( 'Pages:', 'apola' ) . '</span>',
							'after' => '</div>',
							'link_before' => '<span>',
							'link_after' => '</span>'
						) ); ?>
                    </div>
                </div>

                <div class="apo-section apo-align-center">
                    <a href="<?php echo esc_url( get_post_type_archive_link( get_post_type() ) ); ?>" class="apo-btn" role="button"><?php esc_html_e('View all testimonials', 'apola'); ?></a>
                </div>

                <?php if(comments_open()) : ?>
                    <?php comments_template(); ?>
                <?php endif; ?>
    	    </main>
            <!-- - - - - - - - - - - - - - End of Main Content - - - - - - - - - - - - - - - - -->
        <?php endwhile; ?>
	<?php else : ?>
		<?php get_template_part('template-parts/content', 'none'); ?>
	<?php endif; ?>
</div>
<?php get_footer(); ?>
