<?php
/**
* The template file that describes the site simple footer markup
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;
$ApolaHelper = $Apola->helper();

$apola_footer_skin = $Apola->getThemeOption('apola-footer-skin', 'apo-footer-dark-skin', array(
	'overriden_by' => 'apola-page-footer-skin-individual',
	'depend_on' => array( 'key' => 'apola-page-footer-state-individual', 'value' => '0' )
));

$apola_footer_copyright_text = $Apola->getThemeOption('apola-footer-copyright-text', '', array(
	'overriden_by' => 'apola-page-footer-copyright-text-individual',
	'depend_on' => array( 'key' => 'apola-page-footer-state-individual', 'value' => '0' )
));

$apola_footer_show_social_icons = $Apola->getThemeOption('apola-footer-show-social-icons', 'apola-show', array(
	'overriden_by' => 'apola-page-footer-show-social-icons-individual',
	'depend_on' => array( 'key' => 'apola-page-footer-state-individual', 'value' => '0' )
));

$apola_footer_background = $Apola->getThemeOption('apola-footer-background', array(
	'background-image' => 'none',
    'background-repeat' => 'no-repeat',
    'background-attachment' => 'scroll',
    'background-position' => 'center center',
    'background-image' => 'none',
    'background-size' => 'cover'
));

$apola_footer_state_individual = $Apola->getThemeOption('apola-page-footer-state-individual', '1');

if($apola_footer_state_individual == '0') {
	$apola_footer_background_image_individual = $Apola->getThemeOption('apola-page-footer-background-image-individual', null);
	$apola_footer_background_repeat_individual = $Apola->getThemeOption('apola-page-footer-background-repeat-individual', 'no-repeat');
	$apola_footer_background_position_individual = $Apola->getThemeOption('apola-page-footer-background-position-individual', 'center center');
	$apola_footer_background_size_individual = $Apola->getThemeOption('apola-page-footer-background-size-individual', 'cover');
	$apola_footer_background_attachment_individual = $Apola->getThemeOption('apola-page-footer-background-attachment-individual', 'scroll');

	if(is_array($apola_footer_background_image_individual) && count($apola_footer_background_image_individual)) {
		$apola_footer_background_image_individual = array_shift($apola_footer_background_image_individual);
	}

	if(is_array($apola_footer_background_image_individual) && isset($apola_footer_background_image_individual['full_url'])) {
		$apola_footer_background['background-image'] = sprintf('url(%s)', $apola_footer_background_image_individual['full_url']);

		if(!empty($apola_footer_background_repeat_individual)) {
			$apola_footer_background['background-repeat'] = $apola_footer_background_repeat_individual;
		}
		if(!empty($apola_footer_background_position_individual)) {
			$apola_footer_background['background-position'] = $apola_footer_background_position_individual;
		}
		if(!empty($apola_footer_background_size_individual)) {
			$apola_footer_background['background-size'] = $apola_footer_background_size_individual;
		}
		if(!empty($apola_footer_background_attachment_individual)) {
			$apola_footer_background['background-attachment'] = $apola_footer_background_attachment_individual;
		}
	}
}
else {
	if($apola_footer_background['background-image'] != 'none') {
	    $apola_footer_background['background-image'] = sprintf('url(%s)', $apola_footer_background['background-image']);
	}
}

$apola_footer_classes = array('apo-footer', 'apo-style-2', $apola_footer_skin);
?>

<!-- - - - - - - - - - - - - - Footer - - - - - - - - - - - - - - - - -->
<footer id="apo-footer" class="<?php echo esc_attr($ApolaHelper->getSanitizedHtmlClasses($apola_footer_classes)); ?>" style="<?php echo esc_attr($ApolaHelper->getCSSSetFromArray($apola_footer_background)); ?>">
    <div class="container">
        <div class="row apo-table-row-sm">
            <?php if(!empty($apola_footer_copyright_text)) : ?>
                <div class="col-sm-6">
                    <div class="copyright"><?php echo wp_kses($apola_footer_copyright_text, array(
                    	'a' => array(
                    		'href' => true,
                    		'title' => true
                    	)
                    )); ?></div>
                </div>
            <?php endif; ?>
            <?php if($apola_footer_show_social_icons == 'apola-show') : ?>
                <div class="col-sm-6">
                    <!-- - - - - - - - - - - - - - Social Icons - - - - - - - - - - - - - - - - -->
                    <?php apola_social_links(); ?>
                    <!-- - - - - - - - - - - - - - End of Social Icons - - - - - - - - - - - - - - - - -->
                </div>
            <?php endif; ?>
        </div>
    </div>
</footer>
<!-- - - - - - - - - - - - - - End of Footer - - - - - - - - - - - - - - - - -->
