<?php
/**
* The template file that describes modal window with information about an item of gallery.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

$data = $_GET['data'];
if(!isset($data) || !is_array($data) || !isset($data['item_id'])) return;

$ApolaGalleryRepository = new ApolaGalleryRepository();
$apola_image = $ApolaGalleryRepository->find(intval($data['item_id']));

if($apola_image) :


?>

<div class="apo-modal apo-modal-photo-info">
    <header class="apo-modal-photo-info-header">
        <?php if(isset($apola_image['image-title']) && !empty($apola_image['image-title'])) : ?>
            <h2 class="apo-modal-photo-info-title"><?php echo esc_html($apola_image['image-title']); ?></h2>
        <?php endif; ?>

        <?php if(isset($data['parent_gallery_id']) && apola_has_post_terms(intval($data['parent_gallery_id']), 'apola-gallery-categories')) : ?>
            <?php echo apola_get_post_terms(intval($data['parent_gallery_id']), 'apola-gallery-categories'); ?>
        <?php endif; ?>

		<?php if(isset($apola_image['image-sub-title']) && !empty($apola_image['image-sub-title'])) : ?>
            <em class="apo-photo-stream-sub-title"><?php echo esc_html($apola_image['image-sub-title']); ?></em>
        <?php endif; ?>
    </header>

    <div class="apo-modal-photo-info-body">
        <?php if(isset($apola_image['image-description']) && !empty($apola_image['image-description'])) : ?>
            <div class="apo-modal-photo-info-desc"><?php echo wpautop( esc_html($apola_image['image-description']) ); ?></div>
        <?php endif; ?>

        <?php if(isset($apola_image['image-info']) && is_array($apola_image['image-info']) && count($apola_image['image-info'])) : ?>
            <div class="apo-extended-info-list apo-grid apo-cols-4">
                <?php foreach($apola_image['image-info'] as $apola_image_meta) : ?>
                    <div class="apo-grid-col">
                        <div class="apo-extended-info-list-item">
                            <div class="apo-extended-info-list-name"><?php echo esc_html($apola_image_meta[0]); ?></div>
                            <div class="apo-extended-info-list-value"><?php echo esc_html($apola_image_meta[1]); ?></div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
    </div>

    <div class="arctic-modal-close-container">
        <button type="button" class="apo-close-btn arcticmodal-close">
            <i class="icon icon-cross"></i> <?php esc_html_e('Close', 'apola'); ?>
        </button>
    </div>
</div>


<?php endif; ?>
