<?php
/**
* The template file that describes modal window with information about a project of portfolio.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

$data = $_GET['data'];
if(!isset($data) || !is_array($data) || !isset($data['item_id'])) return;

$post_meta = get_post_meta($data['item_id'], 'apola-project-meta', true);
?>

<div class="apo-modal apo-modal-photo-info">
    <header class="apo-modal-photo-info-header">
        <h2 class="apo-modal-photo-info-title"><?php echo esc_html(get_the_title($data['item_id'])); ?></h2>
        <?php if(apola_has_post_terms($data['item_id'], 'apola-portfolio-categories')) : ?>
            <?php echo apola_get_post_terms($data['item_id'], 'apola-portfolio-categories'); ?>
        <?php endif; ?>
    </header>

    <?php if(is_array($post_meta) && count($post_meta)) : ?>
        <div class="apo-modal-photo-info-body">
            <div class="apo-extended-info-list apo-grid apo-cols-4">
                <?php foreach($post_meta as $meta) : ?>
                    <div class="apo-grid-col">
                        <div class="apo-extended-info-list-item">
                            <div class="apo-extended-info-list-name"><?php echo esc_html($meta[0]); ?></div>
                            <div class="apo-extended-info-list-value"><?php echo esc_html($meta[1]); ?></div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    <?php endif; ?>

    <div class="arctic-modal-close-container">
        <button type="button" class="apo-close-btn arcticmodal-close">
            <i class="icon icon-cross"></i> <?php esc_html_e('Close', 'apola'); ?>
        </button>
    </div>
</div>
