<?php
/**
* The template file for displaying a single page with 'fullpage-ixed-image' page type.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;
$Apola->setThemeOption('apola-footer-style', 'apola-none');

$apola_fixed_image = $Apola->getThemeOption('apola-page-type-fullpage-fixed-image-image', null);
$apola_scroll_easing = $Apola->getThemeOption('apola-page-type-fullpage-easing', 'cubic-bezier(0.23, 1, 0.32, 1)');
$apola_scroll_speed = $Apola->getThemeOption('apola-page-type-fullpage-speed', 1500);
$apola_fixed_image_isset = false;

if(is_array($apola_fixed_image) && count($apola_fixed_image)) {
	$apola_fixed_image = array_shift($apola_fixed_image);
	$apola_fixed_image_isset = is_array($apola_fixed_image) && isset($apola_fixed_image['full_url']);
}

get_header();
?>
<div class="apo-section apo-without-vertical-padding">
	<?php if(have_posts()) : ?>
		<?php if($apola_fixed_image_isset) : ?>
		    <!-- - - - - - - - - - - - - - Fixed Image - - - - - - - - - - - - - - - - -->
		    <div class="apo-full-page-fixed-col" data-bg-img-src="<?php echo esc_url($apola_fixed_image['full_url']); ?>"></div>
		    <!-- - - - - - - - - - - - - - End of Fixed Image - - - - - - - - - - - - - - - - -->
		<?php endif; ?>

		<?php while(have_posts()) : ?>
    		<!-- - - - - - - - - - - - - - Content Column - - - - - - - - - - - - - - - - -->
	    	<div id="apo-full-page" class="apo-full-page-container apo-page-content"
				 data-scrolling-speed="<?php echo esc_attr($apola_scroll_speed); ?>"
				 data-easingcss3="<?php echo esc_attr($apola_scroll_easing); ?>"
				 data-destroy-on-mobile="true"
				 data-show-scrolldown-label="true"
				 data-scrolldown-label="<?php esc_attr_e('Scroll Down', 'apola'); ?>"
				 data-scrolldown-label-icon-class="icon-arrow-down">
				<?php the_post(); the_content(); ?>
			</div>
			<!-- - - - - - - - - - - - - - End of Content Column - - - - - - - - - - - - - -->
		<?php endwhile; ?>
	<?php else : ?>
		<div class="apo-section-no-content">
			<?php get_template_part('content', 'none'); ?>
		</div>
	<?php endif; ?>
</div>

<?php get_footer(); ?>
