<?php
/**
* The template file that is responsible to display message on the search
* results page in case when nothing was found.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
    die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;

$apola_search_not_found_message = $Apola->getThemeOption('apola-search-not-found-message', esc_html__('Nothing found', 'apola'));
$apola_search_not_found_description = $Apola->getThemeOption('apola-search-not-found-description', esc_html__('Nothing found on your request.', 'apola'));

?>

<!-- - - - - - - - - - - - - - Content Section - - - - - - - - - - - - - -->
<div class="apo-section apo-section-404 apo-align-center">
    <div class="row">
        <main class="col-md-8 col-md-offset-2">
            <h1 class="apo-404-title-search"><?php echo esc_html($apola_search_not_found_message); ?></h1>

            <div class="apo-404-error-description">
                <p><?php echo esc_html($apola_search_not_found_description); ?> <?php echo sprintf(esc_html__('Go %s or try to search again:', 'apola'), sprintf('<a href="%s">%s</a>', esc_url(home_url('/')), esc_html__('Home', 'apola'))); ?></p>
            </div>

            <?php get_search_form(); ?>
        </main>
    </div>
</div>
<!-- - - - - - - - - - - - - - End of Content Section - - - - - - - - - - - - - -->
